Glory of the Roman Empire

Informations

Creator Message
gargamel

Warning

This installer is a beta script. It means that it might not work as expected

Informations

Platforms:
Downloads: 19
Wine:

Feedbacks

Description

Glory of the Roman Empire is a 2006 city-building game set during the age of the Roman Empire, developed by Haemimont Games.

Source code

#!/bin/bash
# Date : (2017-10-21 14-23)
# Last revision : (2017-10-22 18-28)
# Wine version used : 2.19
# Distribution used to test : Debian Stretch x86_64
# Game Version : 1.01.346
# Author : Alexandre BEAUGY
# Licence : GPLv3
# PlayOnLinux: 4.2.11

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"

AUTHOR="Alexandre BEAUGY"
EDITOR="cdv Software Entertainment"
#GAME_URL=""
TITLE="Glory of the Roman Empire"
PREFIX="Glory_of_the_Roman_Empire"
WORKING_WINE_VERSION="2.19"
DEFAULT_CDROM="/media/cdrom"
DEFAULT_SETUP="Setup.1"

# Initialisation
POL_SetupWindow_Init

POL_Debug_Init

# Presentation
POL_SetupWindow_presentation "${TITLE}" "${EDITOR}" "${GAME_URL}" "${AUTHOR}" "${PREFIX}"

# Create prefix
POL_System_SetArch "x86"
POL_Wine_SelectPrefix "${PREFIX}"
POL_Wine_PrefixCreate "${WORKING_WINE_VERSION}"

# DependenciesPOL_Call POL_Install_corefonts
POL_Call POL_Install_tahoma
POL_Call POL_Install_d3dx9
POL_Call POL_Install_msxml3

setup_file="${POL_SELECTED_FILE}"
if [ x${setup_file} = x ] ; then
  POL_SetupWindow_InstallMethod "LOCAL,CD"
  case "$INSTALL_METHOD" in
    "CD" )
      POL_RequiredVersion "4.0.0" || POL_Debug_Fatal "Sorry, $APPLICATION_TITLE 4.0+ is required to install $TITLE from CD-ROM"
      setup_file=${DEFAULT_CDROM}/${DEFAULT_SETUP}
      if [ ! -f ${setup_file} ] ; then
        POL_SetupWindow_message "$(eval_gettext 'Please insert the game media into your disk drive.')" "$TITLE"
        POL_SetupWindow_cdrom
        POL_SetupWindow_check_cdrom "${DEFAULT_SETUP}"
        setup_file="$CDROM_SETUP"
      fi
      ;;
    "LOCAL" )
      POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
      setup_file="$APP_ANSWER"
      ;;
  esac
fi

[ x${setup_file} = x ] && exit 2

# Configuration
Set_OS "winxp"

# Installation
POL_Wine_WaitBefore "${TITLE}"
POL_Wine "${setup_file}"
POL_Wine_WaitExit "${TITLE}"

POL_SetupWindow_VMS "256"

# Create Shortcut
POL_Shortcut "Glory.exe" "$TITLE"

# Reboot windows
POL_Wine_reboot

POL_SetupWindow_Close
exit 0

Contributions

Filters:

Contribute
Member Message
gargamel Tuesday 13 August 2019 at 10:50
gargamel

Information

This update has been approved by the team.

Message

Initial revision.

Differences

@@ -0,0 +1,81 @@
+#!/bin/bash
+# Date : (2017-10-21 14-23)
+# Last revision : (2017-10-22 18-28)
+# Wine version used : 2.19
+# Distribution used to test : Debian Stretch x86_64
+# Game Version : 1.01.346
+# Author : Alexandre BEAUGY
+# Licence : GPLv3
+# PlayOnLinux: 4.2.11
+
+[ "$PLAYONLINUX" = "" ] && exit 0
+source "$PLAYONLINUX/lib/sources"
+
+AUTHOR="Alexandre BEAUGY"
+EDITOR="cdv Software Entertainment"
+#GAME_URL=""
+TITLE="Glory of the Roman Empire"
+PREFIX="Glory_of_the_Roman_Empire"
+WORKING_WINE_VERSION="2.19"
+DEFAULT_CDROM="/media/cdrom"
+DEFAULT_SETUP="Setup.1"
+
+# Initialisation
+POL_SetupWindow_Init
+
+POL_Debug_Init
+
+# Presentation
+POL_SetupWindow_presentation "${TITLE}" "${EDITOR}" "${GAME_URL}" "${AUTHOR}" "${PREFIX}"
+
+# Create prefix
+POL_System_SetArch "x86"
+POL_Wine_SelectPrefix "${PREFIX}"
+POL_Wine_PrefixCreate "${WORKING_WINE_VERSION}"
+
+# DependenciesPOL_Call POL_Install_corefonts
+POL_Call POL_Install_tahoma
+POL_Call POL_Install_d3dx9
+POL_Call POL_Install_msxml3
+
+setup_file="${POL_SELECTED_FILE}"
+if [ x${setup_file} = x ] ; then
+  POL_SetupWindow_InstallMethod "LOCAL,CD"
+  case "$INSTALL_METHOD" in
+    "CD" )
+      POL_RequiredVersion "4.0.0" || POL_Debug_Fatal "Sorry, $APPLICATION_TITLE 4.0+ is required to install $TITLE from CD-ROM"
+      setup_file=${DEFAULT_CDROM}/${DEFAULT_SETUP}
+      if [ ! -f ${setup_file} ] ; then
+	POL_SetupWindow_message "$(eval_gettext 'Please insert the game media into your disk drive.')" "$TITLE"
+	POL_SetupWindow_cdrom
+	POL_SetupWindow_check_cdrom "${DEFAULT_SETUP}"
+	setup_file="$CDROM_SETUP"
+      fi
+      ;;
+    "LOCAL" )
+      POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
+      setup_file="$APP_ANSWER"
+      ;;
+  esac
+fi
+
+[ x${setup_file} = x ] && exit 2
+
+# Configuration
+Set_OS "winxp"
+
+# Installation
+POL_Wine_WaitBefore "${TITLE}"
+POL_Wine "${setup_file}"
+POL_Wine_WaitExit "${TITLE}"
+
+POL_SetupWindow_VMS "256"
+
+# Create Shortcut
+POL_Shortcut "Glory.exe" "$TITLE"
+
+# Reboot windows
+POL_Wine_reboot
+
+POL_SetupWindow_Close
+exit 0

New source code

#!/bin/bash
# Date : (2017-10-21 14-23)
# Last revision : (2017-10-22 18-28)
# Wine version used : 2.19
# Distribution used to test : Debian Stretch x86_64
# Game Version : 1.01.346
# Author : Alexandre BEAUGY
# Licence : GPLv3
# PlayOnLinux: 4.2.11

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"

AUTHOR="Alexandre BEAUGY"
EDITOR="cdv Software Entertainment"
#GAME_URL=""
TITLE="Glory of the Roman Empire"
PREFIX="Glory_of_the_Roman_Empire"
WORKING_WINE_VERSION="2.19"
DEFAULT_CDROM="/media/cdrom"
DEFAULT_SETUP="Setup.1"

# Initialisation
POL_SetupWindow_Init

POL_Debug_Init

# Presentation
POL_SetupWindow_presentation "${TITLE}" "${EDITOR}" "${GAME_URL}" "${AUTHOR}" "${PREFIX}"

# Create prefix
POL_System_SetArch "x86"
POL_Wine_SelectPrefix "${PREFIX}"
POL_Wine_PrefixCreate "${WORKING_WINE_VERSION}"

# DependenciesPOL_Call POL_Install_corefonts
POL_Call POL_Install_tahoma
POL_Call POL_Install_d3dx9
POL_Call POL_Install_msxml3

setup_file="${POL_SELECTED_FILE}"
if [ x${setup_file} = x ] ; then
  POL_SetupWindow_InstallMethod "LOCAL,CD"
  case "$INSTALL_METHOD" in
    "CD" )
      POL_RequiredVersion "4.0.0" || POL_Debug_Fatal "Sorry, $APPLICATION_TITLE 4.0+ is required to install $TITLE from CD-ROM"
      setup_file=${DEFAULT_CDROM}/${DEFAULT_SETUP}
      if [ ! -f ${setup_file} ] ; then
        POL_SetupWindow_message "$(eval_gettext 'Please insert the game media into your disk drive.')" "$TITLE"
        POL_SetupWindow_cdrom
        POL_SetupWindow_check_cdrom "${DEFAULT_SETUP}"
        setup_file="$CDROM_SETUP"
      fi
      ;;
    "LOCAL" )
      POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
      setup_file="$APP_ANSWER"
      ;;
  esac
fi

[ x${setup_file} = x ] && exit 2

# Configuration
Set_OS "winxp"

# Installation
POL_Wine_WaitBefore "${TITLE}"
POL_Wine "${setup_file}"
POL_Wine_WaitExit "${TITLE}"

POL_SetupWindow_VMS "256"

# Create Shortcut
POL_Shortcut "Glory.exe" "$TITLE"

# Reboot windows
POL_Wine_reboot

POL_SetupWindow_Close
exit 0

Replies

Tuesday 13 August 2019 at 11:22
Script approved. For the Wine 2.x branch I recommend Wine 2.22 (in order to avoid to install multiple Wine 2.x versions). Some ideas of improvements: http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization
Saturday 17 August 2019 at 13:15
Indeed you're right and that's exactly what I did on my POL wine-2.x prefixes by the time, but forgot to upgrade my POL script (I will look forward to do it ASAP).